Name: dosemu
Version: 1.4.0.8
%define subvers 633.g3492afd
Release: git%{subvers}.3.dbgemu.fc3

# Conditional:
# --without debug : disables debuginfo package + removes -g in "optarg".

Summary: DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
License:       GPL
Group:         System/Emulators
URL:           http://www.dosemu.org/
Vendor:        Bart Oldeman and DOSEMU team
Packager:      Franta Hanzlik
Source:        %{name}-%{version}-%{subvers}.tar.bz2
Source1:       %{name}-freedos-1.0-bin.tgz
Source2:       dosemu.desktop
Source3:       dosemu.png
#Patch0:        dosemu-ser_ports.c.diff
#Patch1:        dosemu-big_logfile.patch
BuildArch:     i686 x86_64
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      SDL_ttf SDL_gfx fbset libsndfile gpm slang svgalib alsa-lib
BuildRequires:  bison flex libsndfile-devel gpm-devel SDL-devel SDL_ttf-devel SDL_gfx-devel slang-devel svgalib-devel alsa-lib-devel desktop-file-utils
%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386+ processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.
Runnable on Linux i386 and x86_64 architectures.

This version is compiled with gpm, X, slang, alsa, svgalib, sndfile and
 enable-debug options
# a disable-cpuemu

%define _sysconfdir /etc/dosemu
# % define _docdir /usr/share/doc/%{name}-%{version}

%prep
echo "prep:"
rm -rf $RPM_BUILD_ROOT

%setup -q
echo "setup:"
#% patch0 -p0
#% patch1 -p0

%build
echo "build:"
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{!?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-O?/-O0}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}
%{!?_without_debug:export CFLAGS="${CFLAGS//-O?/-O0}"}
# % configure --with-fdtarball=none} --with-svgalib --target=i686 --with-gpm --enable-debug\
%{__autoconf}
%configure --with-fdtarball=%{SOURCE1} --with-svgalib --target=i686 --with-gpm --enable-debug\
 --with-alsa --with-sndfile --with-x --with-slang --with-target-cpu=i686 --disable-aspi
# --with-alsa --with-sndfile --with-x --with-slang --with-target-cpu=i686 --disable-cpuemu --disable-aspi
make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/dosemu

echo "desktop-file-install:"
desktop-file-install --vendor=fedora --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

echo "mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps"
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE3 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/fontpath.d
ln -s /usr/share/dosemu/Xfonts ${RPM_BUILD_ROOT}/etc/X11/fontpath.d/dosemu-Xfonts

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /etc/dosemu.users ]; then
  echo "Deprecating /etc/dosemu.users: moving to /etc/dosemu/dosemu.users"
  echo "Please use /etc/dosemu/dosemu.users instead (if necessary)."
  mv /etc/dosemu.users /etc/dosemu/dosemu.users
fi
if [ -f /etc/dosemu.conf ]; then
  echo "Deprecating /etc/dosemu.conf: moving to /etc/dosemu/dosemu.conf"
  echo "Please use /etc/dosemu/dosemu.conf instead."
  mv /etc/dosemu.conf /etc/dosemu/dosemu.conf
fi

%post
FONTDIR=/usr/share/dosemu/Xfonts
if [ -x /usr/bin/xorg-x11-fonts-update-dirs ]; then
# this script from xorg-x11-font-utils call all of mkfontscale/mkfontdir/fc-cache etc:
  /usr/bin/xorg-x11-fonts-update-dirs $FONTDIR
else
{
# create an index of scalable font files for X:
  umask 133; mkfontscale $FONTDIR

# create an index of X font files in a dosemu Xfonts directory:
  umask 133; mkfontdir $FONTDIR

# build font information cache files for applications using fontconfig:
  if [ -x /usr/bin/fc-cache ]; then 
    /usr/bin/fc-cache $FONTDIR
  fi
} || :
fi

%postun
FONTDIR=/usr/share/dosemu/Xfonts
if [ "$1" = "0" ]; then		# if we are uninstalling dosemu:
  if [ -x /usr/bin/xorg-x11-fonts-update-dirs ]; then
    /usr/bin/xorg-x11-fonts-update-dirs $FONTDIR
  else
    {
      if [ -d $FONTDIR ]; then
        mkfontdir $FONTDIR
      fi

      if [ -x /usr/bin/fc-cache ] ; then 
        /usr/bin/fc-cache $FONTDIR
      fi
    } || :
  fi
fi

%files
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_bindir}/xdosemu
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/xdosemu.1*
%{_mandir}/man1/midid.1*
%{_mandir}/ru/man1/mkfatimage16.1*
%{_mandir}/ru/man1/dosdebug.1*
%{_mandir}/ru/man1/dosemu.1*
%{_mandir}/ru/man1/dosemu.bin.1*
%{_mandir}/ru/man1/xdosemu.1*
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin*.so
%dir %{_datadir}/dosemu
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/freedos
%{_datadir}/dosemu/drive_z
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%{_datadir}/pixmaps/dosemu.png
%{_datadir}/applications/*
%doc doc/*
%doc COPYING.DOSEMU
%doc COPYING
%doc THANKS
%doc NEWS
%doc README.bindist
%doc INSTALL
%doc README
%doc QuickStart
%dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/dosemu.conf
%dir %{_sysconfdir}/drives
%config(noreplace) %{_sysconfdir}/drives/c
%config(noreplace) %{_sysconfdir}/drives/d
%config(noreplace) %{_sysconfdir}/dosemu.users
%config(noreplace) %{_sysconfdir}/global.conf
/etc/X11/*

%changelog
* Sat Jun 30 2012 Franta Hanzlik <franta@hanzlici.cz>
- changes regarding switch from SVN to GIT

* Sat Oct 8 2011 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.2060
- added omitted "Requires:" section
- better handled xfs and fontconfig font things
- build for Fedora 14 & 15

* Sun May 11 2008 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.1863 as v1.4.0.1
- removed commanders VC, VFU and Necromancer's DOS Navigator
  and return to dosemu-freedos-1.0-bin.tgz package.
  Eventual additional DOS programs will be solved as
  extra RPM packages
- build for Fedora 9

* Sat Mar 22 2008 Franta Hanzlik <franta@hanzlici.cz>
- include desktop icon & dosemu.desktop
- updated from svn.1844
- added file commanders VFU and Necromancer's DOS Navigator
- replaced nonfunct mem.exe with functional older one
- build for Fedora 9

* Sun Jun 3 2007 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.1824
- added some freeware programs to dosemu-freedos-bin
  (in particular Volkov Commander 4.99.08a)
- updated spec description
- config's FILES set to 140 as to match with many database
  applications

* Mon May 7 2007 Franta Hanzlik <franta@hanzlici.cz>
- Conditional rpmbuild "--without debug" switch: disables debuginfo package
  build + removes -g in "optarg".

* Sat May 5 2007 Franta Hanzlik <franta@hanzlici.cz>
- initial dosemu 1.4.0 FC{5,6,7} release

